# nextgen-router

Ansible playbook file for deploying router of next generation.

## Requirements

* `./prepare.sh` to download them.

## How to use

Use [mycard-deploy](https://code.mycard.moe/mycard/mycard-deploy) to start. Ansible 2.9 recommended.

## Playbooks

### Before moving the router to the place

* `install.yaml` Installs the environment of router.

* `network.yaml` Sets up the network config. This can be run without setting the router into the correct place.

### After moving the router

* `services.yaml` Sets up other services of the router.

## Marks in NextGen

* `10XX` PPPoE next hop mark.

* `11XX` Ethernet next hop mark.

## Related IPSet

* `localnets` Any VPN network post scripts should insert their own networks into this IPSet.
